FROM nginx:latest

RUN rm /etc/nginx/conf.d/default.conf
RUN mkdir /etc/nginx/ssl 
COPY ssl/cert.crt /etc/nginx/ssl/ 
COPY ssl/cert.key /etc/nginx/ssl/
COPY nginx.conf /etc/nginx/conf.d/default.conf

# Socket Shares
RUN mkdir /socket/
RUN chown -R ${APP_USER}:${APP_USER} /socket
RUN chmod -R 777 /socket

# Forward logs
RUN ln -sf /dev/stdout /var/log/nginx/access.log \
    && ln -sf /dev/stderr /var/log/nginx/error.log

EXPOSE 443

RUN mkdir /shared/
RUN chown -R nginx:nginx /shared/
VOLUME /code/static
STOPSIGNAL SIGTERM

CMD ["nginx", "-g", "daemon off;"]
#BUMP